--- old/usr/src/uts/intel/scsi_vhci/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/scsi_vhci/Makefile	Mon Jan  7 13:09:39 2019
@@ -23,6 +23,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of SCSI vHCI Driver
@@ -52,6 +53,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMATCH=off
+
 #
 # Define targets.
 #
--- old/usr/src/uts/intel/sd/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/sd/Makefile	Mon Jan  7 13:09:39 2019
@@ -24,10 +24,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the sd
-#	kernel module.
-#
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -74,6 +71,9 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
 
+# needs work
+SMOFF += index_overflow,shift_to_zero,signed
+
 #
 # Depends on scsi and cmlb
 #
--- old/usr/src/uts/intel/sda/Makefile	Mon Jan  7 13:09:39 2019
+++ new/usr/src/uts/intel/sda/Makefile	Mon Jan  7 13:09:39 2019
@@ -22,7 +22,9 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 # uts/intel/sda/Makefile
 #
@@ -76,6 +78,9 @@
 LDFLAGS		+= -dy -Ndrv/blkdev -B reduce -M $(MAPFILE)
 CTFMRGFLAGS	+= -f
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sfe/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/sfe/Makefile	Mon Jan  7 13:09:40 2019
@@ -22,7 +22,9 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	This makefile drives the production of NS/SiS
 #	Fast Ethernet (SFE) driver module in intel systems
@@ -78,6 +80,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns
+
 #
 # Driver depends on MAC & IP
 #
--- old/usr/src/uts/intel/sfxge/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/sfxge/Makefile	Mon Jan  7 13:09:40 2019
@@ -12,6 +12,7 @@
 #
 # Copyright 2016 Garrett D'Amore <garrett@damore.org>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 UTSBASE		= ../..
 
@@ -52,6 +53,10 @@
 #
 LDFLAGS		+= -dy -N misc/mac
 
+# needs work
+$(OBJS_DIR)/sfxge_ev.o := SMOFF += index_overflow
+SMOFF += all_func_returns
+
 #
 # Default build targets.
 #
--- old/usr/src/uts/intel/smbfs/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/smbfs/Makefile	Mon Jan  7 13:09:40 2019
@@ -24,11 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the smbfs (Server 
-#	message block file system) kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -70,6 +66,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns,signed,deref_check
+
 # The mb_put/md_get functions are intentionally used with and without
 # return value checks, so filter those out like LGREP.2 does.
 LGREP.nsmb =	egrep -v ' ignored: (mb_init|mb_put|md_get)'
--- old/usr/src/uts/intel/smbios/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/smbios/Makefile	Mon Jan  7 13:09:40 2019
@@ -24,8 +24,9 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+# Copyright (c) 2018, Joyent, Inc.
 
+
 UTSBASE	= ../..
 
 MODULE = smbios
@@ -40,6 +41,9 @@
 LINT_TARGET = $(MODULE).lint
 INSTALL_TARGET = $(BINARY) $(ROOTMODULE) $(ROOT_CONFFILE)
 
+# needs work
+SMOFF += signed_integer_overflow_check
+
 .KEEP_STATE:
 
 def: $(DEF_DEPS)
--- old/usr/src/uts/intel/smbsrv/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/smbsrv/Makefile	Mon Jan  7 13:09:40 2019
@@ -24,6 +24,7 @@
 #
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the cifs server file system
@@ -74,6 +75,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-switch
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sockfs/Makefile	Mon Jan  7 13:09:40 2019
+++ new/usr/src/uts/intel/sockfs/Makefile	Mon Jan  7 13:09:40 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the sockfs file system
@@ -93,6 +94,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sockpfp/Makefile	Mon Jan  7 13:09:41 2019
+++ new/usr/src/uts/intel/sockpfp/Makefile	Mon Jan  7 13:09:41 2019
@@ -22,11 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the nca driver 
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -71,6 +67,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sol_ofs/Makefile	Mon Jan  7 13:09:41 2019
+++ new/usr/src/uts/intel/sol_ofs/Makefile	Mon Jan  7 13:09:41 2019
@@ -21,8 +21,9 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
+
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -64,6 +65,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+$(OBJS_DIR)/sol_cma.o := SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sol_ucma/Makefile	Mon Jan  7 13:09:41 2019
+++ new/usr/src/uts/intel/sol_ucma/Makefile	Mon Jan  7 13:09:41 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -64,6 +64,9 @@
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
 
+# needs work
+SMOFF += all_func_returns,logical_instead_of_bitwise
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/sol_uverbs/Makefile	Mon Jan  7 13:09:43 2019
+++ new/usr/src/uts/intel/sol_uverbs/Makefile	Mon Jan  7 13:09:43 2019
@@ -21,7 +21,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -64,6 +64,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# really broken
+SMOFF += logical_instead_of_bitwise,or_vs_and
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/spdsock/Makefile	Mon Jan  7 13:09:44 2019
+++ new/usr/src/uts/intel/spdsock/Makefile	Mon Jan  7 13:09:44 2019
@@ -23,11 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the spdsock driver 
-#	kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -73,6 +69,10 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/spdsockddi.o := SMOFF += index_overflow
+$(OBJS_DIR)/spdsock.o := SMOFF += no_if_block
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/specfs/Makefile	Mon Jan  7 13:09:44 2019
+++ new/usr/src/uts/intel/specfs/Makefile	Mon Jan  7 13:09:44 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the specfs file system
@@ -75,6 +76,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/specvnops.o := SMOFF += signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/spppcomp/Makefile	Mon Jan  7 13:09:44 2019
+++ new/usr/src/uts/intel/spppcomp/Makefile	Mon Jan  7 13:09:44 2019
@@ -25,11 +25,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the spppcomp STREAMS 
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -78,6 +74,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += indenting
+
 #
 # Depends on sppp
 #
--- old/usr/src/uts/intel/srpt/Makefile	Mon Jan  7 13:09:45 2019
+++ new/usr/src/uts/intel/srpt/Makefile	Mon Jan  7 13:09:45 2019
@@ -21,8 +21,7 @@
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#	This makefile drives the production of the srpt pseudo-driver for 
-#	COMSTAR.
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -64,6 +63,9 @@
 
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+$(OBJS_DIR)/srpt_stp.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/st/Makefile	Mon Jan  7 13:09:45 2019
+++ new/usr/src/uts/intel/st/Makefile	Mon Jan  7 13:09:45 2019
@@ -24,11 +24,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the st driver
-#	kernel module.
-#
-#	intel implementation architecture independent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -75,6 +71,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMATCH=off
+
 #
 # Depends on scsi
 #
--- old/usr/src/uts/intel/stmf/Makefile	Mon Jan  7 13:09:46 2019
+++ new/usr/src/uts/intel/stmf/Makefile	Mon Jan  7 13:09:46 2019
@@ -21,8 +21,7 @@
 #
 # Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-#	This makefile drives the production of the stmf driver for 
-#	COMSTAR.
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -58,6 +57,9 @@
 MODSTUBS_DIR	 = $(OBJS_DIR)
 CERRWARN	+= -erroff=E_STATEMENT_NOT_REACHED
 
+# needs work
+SMATCH=off
+
 C99LMODE=	-Xc99=%all
 
 #
--- old/usr/src/uts/intel/strategy/Makefile	Mon Jan  7 13:09:46 2019
+++ new/usr/src/uts/intel/strategy/Makefile	Mon Jan  7 13:09:46 2019
@@ -25,6 +25,7 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the strategy "misc"
@@ -53,6 +54,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/strategy.o := SMOFF += all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/tavor/Makefile	Mon Jan  7 13:09:47 2019
+++ new/usr/src/uts/intel/tavor/Makefile	Mon Jan  7 13:09:47 2019
@@ -23,12 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the tavor InfiniBand module
-#
-#	intel architecture dependent
-#
-# uts/intel/tavor/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Paths to the base of the uts directory trees
@@ -86,6 +81,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tcp/Makefile	Mon Jan  7 13:09:47 2019
+++ new/usr/src/uts/intel/tcp/Makefile	Mon Jan  7 13:09:47 2019
@@ -24,11 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the tcp driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -77,6 +73,9 @@
 #
 LDFLAGS		+= -dy -Ndrv/ip -Ncrypto/md5 -Nfs/sockfs
 
+# needs work
+$(OBJS_DIR)/tcpddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tcp6/Makefile	Mon Jan  7 13:09:47 2019
+++ new/usr/src/uts/intel/tcp6/Makefile	Mon Jan  7 13:09:47 2019
@@ -23,12 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the tcp6 driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -51,6 +46,9 @@
 IP_CHECK_OBJS	= $(IP_OBJS:ipddi.o=ip.o)
 EXTRA_CHECK_OBJS = $(IP_CHECK_OBJS:%=../ip/$(OBJS_DIR)/%)
 
+# needs work
+SMOFF += index_overflow
+
 #
 #	Include common rules.
 #
--- old/usr/src/uts/intel/timerfd/Makefile	Mon Jan  7 13:09:48 2019
+++ new/usr/src/uts/intel/timerfd/Makefile	Mon Jan  7 13:09:48 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2015 Joyent, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -34,6 +34,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/timod/Makefile	Mon Jan  7 13:09:48 2019
+++ new/usr/src/uts/intel/timod/Makefile	Mon Jan  7 13:09:48 2019
@@ -24,13 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the timod streams kernel
-#	module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -65,6 +59,9 @@
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
 
+# needs work
+SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tl/Makefile	Mon Jan  7 13:09:49 2019
+++ new/usr/src/uts/intel/tl/Makefile	Mon Jan  7 13:09:49 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the tl driver
@@ -77,6 +78,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tlimod/Makefile	Mon Jan  7 13:09:49 2019
+++ new/usr/src/uts/intel/tlimod/Makefile	Mon Jan  7 13:09:49 2019
@@ -24,13 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the tlimod
-#	kernel module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -57,6 +51,9 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
+# needs work
+SMOFF += indenting
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tmpfs/Makefile	Mon Jan  7 13:09:49 2019
+++ new/usr/src/uts/intel/tmpfs/Makefile	Mon Jan  7 13:09:49 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the tmpfs file system
@@ -69,6 +70,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# needs work
+$(OBJS_DIR)/tmp_vnops.o := SMOFF += signed
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tnf/Makefile	Mon Jan  7 13:09:50 2019
+++ new/usr/src/uts/intel/tnf/Makefile	Mon Jan  7 13:09:50 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	tnf (kernel trace driver) Makefile
@@ -68,6 +69,10 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
+
+# needs work
+$(OBJS_DIR)/tnf_writer.o := SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/tpm/Makefile	Mon Jan  7 13:09:50 2019
+++ new/usr/src/uts/intel/tpm/Makefile	Mon Jan  7 13:09:50 2019
@@ -21,9 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the TPM driver kernel
-#	module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 UTSBASE	= $(SRC)/uts
 
@@ -65,6 +63,9 @@
 
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+$(OBJS_DIR)/tpm.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/trill/Makefile	Mon Jan  7 13:09:51 2019
+++ new/usr/src/uts/intel/trill/Makefile	Mon Jan  7 13:09:51 2019
@@ -24,11 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the TRILL socket kernel
-#	module.
-#
-#	intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -50,6 +46,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/udfs/Makefile	Mon Jan  7 13:09:51 2019
+++ new/usr/src/uts/intel/udfs/Makefile	Mon Jan  7 13:09:51 2019
@@ -23,11 +23,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 #
-#	This makefile drives the production of the udfs file system
-#	kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -83,6 +79,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-type-limits
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/udmf/Makefile	Mon Jan  7 13:09:51 2019
+++ new/usr/src/uts/intel/udmf/Makefile	Mon Jan  7 13:09:51 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2014 Joyent, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -47,6 +47,9 @@
 LINTTAGS	+= -erroff=E_FUNC_RET_ALWAYS_IGNOR2
 LINTTAGS	+= -erroff=E_FUNC_SET_NOT_USED
 
+# needs work
+$(OBJS_DIR)/udmf_usbgem.o := SMOFF += indenting
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/udp/Makefile	Mon Jan  7 13:09:51 2019
+++ new/usr/src/uts/intel/udp/Makefile	Mon Jan  7 13:09:51 2019
@@ -24,10 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#	This makefile drives the production of the udp driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -68,6 +65,9 @@
 #
 LDFLAGS		+= -dy -Ndrv/ip -Nfs/sockfs
 
+# needs work
+$(OBJS_DIR)/udpddi.o := SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/udp6/Makefile	Mon Jan  7 13:09:52 2019
+++ new/usr/src/uts/intel/udp6/Makefile	Mon Jan  7 13:09:52 2019
@@ -23,12 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-#	This makefile drives the production of the udp6 driver kernel module.
-#
-#	intel implementation architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -61,6 +56,9 @@
 #
 LDFLAGS		+= -dy -Ndrv/udp -Ndrv/ip -Ndrv/ip6
 
+# needs work
+SMOFF += index_overflow
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/ufs/Makefile	Mon Jan  7 13:09:53 2019
+++ new/usr/src/uts/intel/ufs/Makefile	Mon Jan  7 13:09:53 2019
@@ -24,6 +24,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the ufs file system
@@ -82,6 +83,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+SMATCH=off
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/upf/Makefile	Mon Jan  7 13:09:53 2019
+++ new/usr/src/uts/intel/upf/Makefile	Mon Jan  7 13:09:53 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2014 Joyent, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -41,6 +41,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-unused-label
 
+# needs work
+$(OBJS_DIR)/upf_usbgem.o := SMOFF += all_func_returns
+
 LINTTAGS	+= -erroff=E_FUNC_VAR_UNUSED
 LINTTAGS	+= -erroff=E_FUNC_ARG_UNUSED
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
--- old/usr/src/uts/intel/ural/Makefile	Mon Jan  7 13:09:54 2019
+++ new/usr/src/uts/intel/ural/Makefile	Mon Jan  7 13:09:54 2019
@@ -22,15 +22,9 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
-# ident	"%Z%%M%	%I%	%E% SMI"
 #
-# This makefile drives the production of the ural driver kernel module.
-#
-# i86pc architecture dependent
-#
-
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -60,6 +54,9 @@
 #
 LDFLAGS		+= -dy -Nmisc/mac -Nmisc/net80211 -Nmisc/usba
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/urtw/Makefile	Mon Jan  7 13:09:54 2019
+++ new/usr/src/uts/intel/urtw/Makefile	Mon Jan  7 13:09:54 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # This makefile drives the production of the urtw driver kernel module.
@@ -64,6 +65,9 @@
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check,no_if_block,all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/usb_ac/Makefile	Mon Jan  7 13:09:55 2019
+++ new/usr/src/uts/intel/usb_ac/Makefile	Mon Jan  7 13:09:55 2019
@@ -24,11 +24,7 @@
 #
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
-# uts/intel/usb_ac/Makefile
-#
-#	This makefile drives the production of the usb_ac driver
-#	kernel module. Intel architecture dependent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 
 #
@@ -68,6 +64,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+$(OBJS_DIR)/usb_ac.o := SMOFF += deref_check,indenting,testing_index_after_use
+
 #
 # depends on misc/usba
 #
--- old/usr/src/uts/intel/usba/Makefile	Mon Jan  7 13:09:55 2019
+++ new/usr/src/uts/intel/usba/Makefile	Mon Jan  7 13:09:55 2019
@@ -23,9 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the usba kernel module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -52,6 +50,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-value
 CERRWARN	+= -_gcc=-Wno-unused-variable
 
+# needs work
+SMOFF += all_func_returns,deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/usbecm/Makefile	Mon Jan  7 13:09:56 2019
+++ new/usr/src/uts/intel/usbecm/Makefile	Mon Jan  7 13:09:56 2019
@@ -25,8 +25,8 @@
 #
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
-#	This makefile drives the production of Abstract Control Model of
-#	USB Communication Devices Class dirver.
+# Copyright (c) 2018, Joyent, Inc.
+
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -54,6 +54,9 @@
 LINT_TARGET	= $(MODULE).lint
 INSTALL_TARGET	= $(BINARY) $(ROOTMODULE)
 
+# needs work
+SMOFF += deref_check
+
 .KEEP_STATE:
 
 all:		$(ALL_DEPS)
--- old/usr/src/uts/intel/usbgem/Makefile	Mon Jan  7 13:09:56 2019
+++ new/usr/src/uts/intel/usbgem/Makefile	Mon Jan  7 13:09:56 2019
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2014 Joyent, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -49,6 +49,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-unused-function
 
+# needs work
+SMOFF += all_func_returns
+
 LINTTAGS	+= -erroff=E_FUNC_VAR_UNUSED
 LINTTAGS	+= -erroff=E_FUNC_ARG_UNUSED
 LINTTAGS	+= -erroff=E_STATIC_UNUSED
--- old/usr/src/uts/intel/usbms/Makefile	Mon Jan  7 13:09:57 2019
+++ new/usr/src/uts/intel/usbms/Makefile	Mon Jan  7 13:09:57 2019
@@ -23,9 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the usbms driver kernel module.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -73,6 +71,9 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/usbsacm/Makefile	Mon Jan  7 13:09:58 2019
+++ new/usr/src/uts/intel/usbsacm/Makefile	Mon Jan  7 13:09:58 2019
@@ -23,10 +23,9 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 #
-#	This makefile drives the production of Abstract Control Model of
-#	USB Communication Devices Class dirver.
-#
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
 #
 UTSBASE	= ../..
@@ -48,6 +47,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/usbser/Makefile	Mon Jan  7 13:09:59 2019
+++ new/usr/src/uts/intel/usbser/Makefile	Mon Jan  7 13:09:59 2019
@@ -22,7 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# uts/intel/usbser/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 
 #
@@ -65,6 +65,9 @@
 #
 LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
 
+# needs work
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
 all:		$(ALL_DEPS)
--- old/usr/src/uts/intel/usbvc/Makefile	Mon Jan  7 13:10:00 2019
+++ new/usr/src/uts/intel/usbvc/Makefile	Mon Jan  7 13:10:00 2019
@@ -25,6 +25,7 @@
 #
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the usbvc driver kernel module.
@@ -74,6 +75,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/virtio/Makefile	Mon Jan  7 13:10:00 2019
+++ new/usr/src/uts/intel/virtio/Makefile	Mon Jan  7 13:10:00 2019
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -59,6 +60,9 @@
 #
 CFLAGS += $(CCVERBOSE)
 
+# needs work
+SMOFF += all_func_returns
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/vnic/Makefile	Mon Jan  7 13:10:01 2019
+++ new/usr/src/uts/intel/vnic/Makefile	Mon Jan  7 13:10:01 2019
@@ -22,6 +22,8 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 #
 # Path to the base of the uts directory tree (usually /usr/src/uts).
 #
@@ -57,6 +59,9 @@
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/vr/Makefile	Mon Jan  7 13:10:02 2019
+++ new/usr/src/uts/intel/vr/Makefile	Mon Jan  7 13:10:02 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 # This makefile drives the production of the VIA Rhine Ethernet
 # (vr) driver module in intel systems
@@ -59,6 +60,9 @@
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += array_condition
+
 #
 # Driver depends on GLD
 #
--- old/usr/src/uts/intel/vuid2ps2/Makefile	Mon Jan  7 13:10:03 2019
+++ new/usr/src/uts/intel/vuid2ps2/Makefile	Mon Jan  7 13:10:03 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the vuid2ps2 streams kernel
@@ -53,6 +54,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/vuid3ps2/Makefile	Mon Jan  7 13:10:04 2019
+++ new/usr/src/uts/intel/vuid3ps2/Makefile	Mon Jan  7 13:10:04 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the vuid3ps2 streams kernel
@@ -53,6 +54,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-parentheses
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Define targets
 #
--- old/usr/src/uts/intel/vuidm3p/Makefile	Mon Jan  7 13:10:04 2019
+++ new/usr/src/uts/intel/vuidm3p/Makefile	Mon Jan  7 13:10:05 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the vuidm3p streams kernel
@@ -64,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/vuidm4p/Makefile	Mon Jan  7 13:10:05 2019
+++ new/usr/src/uts/intel/vuidm4p/Makefile	Mon Jan  7 13:10:05 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the vuidm4p streams kernel
@@ -64,6 +65,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/vuidm5p/Makefile	Mon Jan  7 13:10:06 2019
+++ new/usr/src/uts/intel/vuidm5p/Makefile	Mon Jan  7 13:10:06 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	This makefile drives the production of the vuidm5p streams kernel
@@ -61,6 +62,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
--- old/usr/src/uts/intel/wc/Makefile	Mon Jan  7 13:10:07 2019
+++ new/usr/src/uts/intel/wc/Makefile	Mon Jan  7 13:10:07 2019
@@ -23,12 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-#	This makefile drives the production of the wc driver
-#	kernel module.
-#
-#	intel implementation architecture independent
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 #	Path to the base of the uts directory tree (usually /usr/src/uts).
@@ -63,6 +58,9 @@
 
 CERRWARN	+= -_gcc=-Wno-uninitialized
 
+# needs work
+SMOFF += deref_check
+
 #
 #	Default build targets.
 #
